# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bliss/client/version'

Gem::Specification.new do |spec|
  spec.name          = "bliss-client"
  spec.version       = Bliss::Client::VERSION
  spec.authors       = ["Fadendaten GmbH"]
  spec.email         = ["support@fadendaten.ch"]

  spec.summary       = "Bliss API client library"
  spec.homepage      = "http://www.fadendaten.ch/"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "faraday", "~> 0.9.2"
  spec.add_runtime_dependency "faraday_middleware", "~> 0.10.0"
  spec.add_runtime_dependency "typhoeus", "~> 0.8.0"
  spec.add_runtime_dependency 'virtus', '~> 1.0.5'
  spec.add_runtime_dependency 'activemodel', '~> 4.2', '>= 3.2'

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "dotenv", "~> 2.0.2"
  spec.add_development_dependency "minitest", "~> 5.8.3"
  spec.add_development_dependency "pry", "~> 0.10.3"
  spec.add_development_dependency "pry-byebug", "~> 3.3.0"
  spec.add_development_dependency "pry-doc", "~> 0.8.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "vcr", "~> 3.0.0"
end
